Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.remote
Interface MBeanServerForwarder

All Superinterfaces:
  MBeanServer, MBeanServerConnection

    public interface MBeanServerForwarder

extends MBeanServer

An object of this class implements the MBeanServer interface and wraps another object that also implements that interface. Typically, an implementation of this interface performs some action in some or all methods of the `MBeanServer` interface before and/or after forwarding the method to the wrapped object. Examples include security checking and logging.

Since:
  1.5

Method Summary
`MBeanServer` | `getMBeanServer()` Returns the MBeanServer object to which requests will be forwarded.
`void` | `setMBeanServer(MBeanServer mbs)` Sets the MBeanServer object to which requests will be forwarded after treatment by this object.

Methods inherited from interface javax.management.MBeanServer
`addNotificationListener, addNotificationListener, createMBean, createMBean, createMBean, createMBean, deserialize, deserialize, deserialize, getAttribute, getAttributes, getClassLoader, getClassLoaderFor, getClassLoaderRepository, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, instantiate, instantiate, instantiate, instantiate, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, registerMBean, removeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Method Detail

### getMBeanServer

    MBeanServer getMBeanServer()

  Returns the MBeanServer object to which requests will be forwarded.

  Returns:
    the MBeanServer object to which requests will be forwarded, or null if there is none.
  See Also:
    `setMBeanServer(javax.management.MBeanServer)`

### setMBeanServer

    void setMBeanServer(MBeanServer mbs)

  Sets the MBeanServer object to which requests will be forwarded after treatment by this object.

  Parameters:
    `mbs` - the MBeanServer object to which requests will be forwarded.
  Throws:
    `IllegalArgumentException` - if this object is already forwarding to an MBeanServer object or if `mbs` is null or if `mbs` is identical to this object.
  See Also:
    `getMBeanServer()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.